summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSander Zuidema2016-03-16 17:39:41 +0100
committerSander Zuidema2016-03-16 17:39:41 +0100
commitb161a0113e2b273a5ba5ab16aa91090acca7d294 (patch)
treec82e4f30614ce2e5ddeda523f68cd13f33bfbd69
parent547603e52595d75ebc319dbc91b404ef8eef102e (diff)
downloadaur-b161a0113e2b273a5ba5ab16aa91090acca7d294.tar.gz
2015.1538 - Desktop icon now from linux source
-rw-r--r--.SRCINFO11
-rw-r--r--.gitignore6
-rw-r--r--PKGBUILD21
3 files changed, 21 insertions, 17 deletions
diff --git a/.SRCINFO b/.SRCINFO
index dcde9329f50..6b75fb3efe2 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,24 +1,23 @@
+# Generated by makepkg 5.0.0
+# Wed Mar 16 16:39:07 UTC 2016
pkgbase = moneydance
pkgdesc = A personal finance manager for Mac, Windows and Linux
- pkgver = 2015.1299
+ pkgver = 2015.1358
pkgrel = 1
url = http://www.moneydance.com/
arch = i686
arch = x86_64
license = custom
- makedepends = libicns
depends = java-runtime
depends = bash
source = moneydance.sh
source = moneydance.patch
- source = http://infinitekind.com/stabledl/2015/Moneydance.zip
sha256sums = 9c45324e6929c3ef52d195cfbbc6014e666b2f34a1be03c0bd81cd50b44cd89a
sha256sums = 4e48af0efb968910304767fe0bbab733aaa7b15f4d05b6a82c9fdac78351776f
- sha256sums = c89b4a16381b42a036aca634c38e21f83558730dbce9a166b355bbb5f6aef3c3
source_i686 = http://infinitekind.com/stabledl/2015/Moneydance_linux_x86.tar.gz
- sha256sums_i686 = b7f5b8463096b5a014a668259b303bd60ca0096328623eae4cc3515b9ceaabc8
+ sha256sums_i686 = a4d18b832eda92580d593d8d2afbcad2e06a5f6609b1355516b32ca7a5a1c4a8
source_x86_64 = http://infinitekind.com/stabledl/2015/Moneydance_linux_amd64.tar.gz
- sha256sums_x86_64 = 9a605834621cac00042e53a800747aa8d586464357cf40f2dd462f8553eee625
+ sha256sums_x86_64 = 64bc32f5d6fc6bffb5e2f923d04a0250a993cb3f3394626352cda933a77d4b95
pkgname = moneydance
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..58ab6891974
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,6 @@
+pkg
+src
+Moneydance_linux_x86.tar.gz
+Moneydance_linux_amd64.tar.gz
+Moneydance.zip
+*.tar.xz
diff --git a/PKGBUILD b/PKGBUILD
index 04089f9402e..a6610a926d8 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
# Contributor: Lukas Grossar <lukas dot grossar at gmail dot com>
pkgname=moneydance
-pkgver=2015.1299
+pkgver=2015.1358
pkgrel=1
epoch=
pkgdesc="A personal finance manager for Mac, Windows and Linux"
@@ -11,8 +11,8 @@ url="http://www.moneydance.com/"
license=('custom')
groups=()
depends=('java-runtime' 'bash')
-makedepends=('libicns')
checkdepends=()
+makedepends=()
optdepends=()
provides=()
conflicts=()
@@ -22,15 +22,13 @@ options=()
install=
changelog=
source=('moneydance.sh'
- 'moneydance.patch'
- 'http://infinitekind.com/stabledl/2015/Moneydance.zip')
+ 'moneydance.patch')
source_i686+=(http://infinitekind.com/stabledl/2015/Moneydance_linux_x86.tar.gz)
source_x86_64+=(http://infinitekind.com/stabledl/2015/Moneydance_linux_amd64.tar.gz)
sha256sums=('9c45324e6929c3ef52d195cfbbc6014e666b2f34a1be03c0bd81cd50b44cd89a'
- '4e48af0efb968910304767fe0bbab733aaa7b15f4d05b6a82c9fdac78351776f'
- 'c89b4a16381b42a036aca634c38e21f83558730dbce9a166b355bbb5f6aef3c3')
-sha256sums_i686=('b7f5b8463096b5a014a668259b303bd60ca0096328623eae4cc3515b9ceaabc8')
-sha256sums_x86_64=('9a605834621cac00042e53a800747aa8d586464357cf40f2dd462f8553eee625')
+ '4e48af0efb968910304767fe0bbab733aaa7b15f4d05b6a82c9fdac78351776f')
+sha256sums_i686=('a4d18b832eda92580d593d8d2afbcad2e06a5f6609b1355516b32ca7a5a1c4a8')
+sha256sums_x86_64=('64bc32f5d6fc6bffb5e2f923d04a0250a993cb3f3394626352cda933a77d4b95')
package() {
# generate directories in $pkgdir
@@ -45,13 +43,14 @@ package() {
install -m755 "$pkgname.sh" "$pkgdir/usr/bin/$pkgname" || return 1
# copy Mac icon since they're higher res
- cd "$srcdir/${pkgname^}.app/Contents/Resources/"
- icns2png -o . -x Moneydance.icns || return 1
- install -m644 "Moneydance_1024x1024x32.png" "$pkgdir/usr/share/pixmaps/$pkgname.png" || return 1
+
+ cd "$srcdir/Moneydance/jars"
+ bsdcpio --extract --make-directories "com/moneydance/apps/md/view/gui/glyphs/appicon_128.png" < $pkgname.jar || return 1
cd "$srcdir/${pkgname^}"
patch -uN "resources/moneydance.desktop" "../moneydance.patch"
install -m644 "resources/moneydance.desktop" "$pkgdir/usr/share/applications/$pkgname.desktop" || return 1
install -m644 "resources/license.txt" "$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
+ install -m644 jars/com/moneydance/apps/md/view/gui/glyphs/appicon_128.png "$pkgdir/usr/share/pixmaps/$pkgname.png" || return 1
install -m644 jars/*.jar "$pkgdir/usr/share/java/$pkgname" || return 1
}